//
// Created by Alberto on 2020-05-06.
//

#ifndef WavFunctions
#define WavFunctions

#include "defines.h"

/* File Functions */
int ReadWavHeader(WAVHeader*, FILE*);
int WriteWavHeader(const unsigned char*, const unsigned char*, FILE*);

int ReadAudio (const int, MyType*, FILE*);
int WriteAudio(const int, const int, MyType*, const MyFFTcompl*, FILE*);

int ReadAudioWav (const int, short*, MyType*, FILE*);
int WriteAudioWav(const int, const int, short*, const MyFFTcompl*, FILE*);

#endif